import Field from "./Field.js";
import TilorswiftButtonTileClickedEvent from "./events/TilorswiftButtonTileClickedEvent.js";

export default class ButtonTile extends Field
{
    constructor(tileset, index = 0)
    {
        super(tileset, 0, 0, index);
    }

    initHtml() {
        this.htmlElement = document.createElement('div');
        this.className = 'field';
        this.setupElement();
    }

    initEventListeners() {
        this.htmlElement.addEventListener(
            'mousedown',
            () => {
                window.dispatchEvent(new TilorswiftButtonTileClickedEvent(this));
            }
        )
    }
}
